Subject: Re: bug#54180: [PATCH 00/12] Home: Clarify and better test symlink-manager.scm

From: Ludovic Courtès <[email-masked]>
Date: Thu, 10 Mar 2022 11:23:01 +0100

Hi Maxime,

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op za 05-03-2022 om 23:20 [+0100]:
>> It’s useful to have integration tests that exercise the commands; unit
>> tests would also be welcome, but that’s what we have so far.
>
> Integreation tests don't have to be in bash.  We can have integration
> tests in Scheme, by running the 'guix-FOO' procedures from (guix
> scripts ...), like tests/substitute.scm and tests/publish.scm do.

Yes, you’re right, but this patch series is not about rewriting the
integration tests.  :-)

The way I see it, we can choose and combine different strategies: Bash
tests (the good thing is that they’re as close as can be to what users
run), Scheme integration tests like you write when more fine-grain
control is needed, and of course unit tests.

Ludo’.